Bug 1396978 (CVE-2016-9396) - CVE-2016-9396 jasper: reachable assertion in JPC_NOMINALGAIN()
Summary: CVE-2016-9396 jasper: reachable assertion in JPC_NOMINALGAIN()
Status: CLOSED ERRATA
Alias: CVE-2016-9396
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161116,reported=2...
Keywords: Security
Depends On: 1434464 1396986 1396987 1396988 1396989 1583721 1583722
Blocks: 1449402
TreeView+ depends on / blocked
 
Reported: 2016-11-21 10:20 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
23 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:02:26 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3253 None None None 2018-10-30 07:54 UTC

Description Adam Mariš 2016-11-21 10:20:14 UTC
An assertion failure was possible to trigger in JPC_NOMINALGAIN.

CVE assignment:

http://seclists.org/oss-sec/2016/q4/441

Comment 1 Adam Mariš 2016-11-21 10:36:24 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396987]
Affects: epel-7 [bug 1396989]

Comment 2 Adam Mariš 2016-11-21 10:36:43 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396986]
Affects: epel-5 [bug 1396988]

Comment 3 Tomas Hoger 2016-12-05 14:33:01 UTC
Original reporter's advisory:

https://blogs.gentoo.org/ago/2016/11/16/jasper-multiple-assertion-failure/

Relevant part of the advisory:

Affected version:
1.900.13

Output/failure:
/tmp/portage/media-libs/jasper-1.900.13/work/jasper-1.900.13/src/libjasper/jpc/jpc_t1cod.c:144: int JPC_NOMINALGAIN(int, int, int, int): Assertion `qmfbid == 0x01′ failed.

Commit fix:
N/A

Fixed version:
N/A

Testcase:
https://github.com/asarubbo/poc/blob/master/00004-jasper-assert-JPC_NOMINALGAIN

CVE:
CVE-2016-9396


Upstream bug report:

https://github.com/mdadams/jasper/issues/50

This issue is still not fixed in the current upstream git, i.e. not fixed in the latest tagged version 2.0.4.

Comment 5 Tomas Hoger 2017-03-01 14:23:35 UTC
Remains unfixed in 2.0.11.

Comment 6 Tomas Hoger 2017-12-11 10:38:01 UTC
Fixed now upstream via:

https://github.com/mdadams/jasper/commit/a10536d5f7f3164b0a1f1ae3e533f4a12ca6f543

Should be included in the next release, which presumably is going to be 2.0.15.

Comment 8 errata-xmlrpc 2018-10-30 07:54:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3253 https://access.redhat.com/errata/RHSA-2018:3253


Note You need to log in before you can comment on or make changes to this bug.